Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Class BinomialDistImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.random.BinomialDistImpl

public class BinomialDistImpl
extends BaseImpl
implements UnsignedDistribution, UnsignedDistributionS, BinomialDistS, BinomialDist

Binomial distribution. The binomial distribution gives the discrete probability of obtaining exactly n successes out of N Bernoulli trials

Constructor Summary
`BinomialDistImpl()`
`BinomialDistImpl(Zone aZone)` The createWithDefaults method creates a distribution object with a default set of seeds and parameters, and its own private generator.
`BinomialDistImpl(Zone aZone, SimpleRandomGenerator simpleGenerator)` Use this create message if the generator to be attached is a Simple one:
`BinomialDistImpl(Zone aZone, SimpleRandomGenerator generator, int aNumTrials, double aProbability)` Use this create message if the generator to be attached is a Simple one: and both the number of trials and the probability are to be set at create time:
`BinomialDistImpl(Zone aZone, SplitRandomGenerator splitGenerator, int vGen)` Use this create message if the generator to be attached is a Split one:
`BinomialDistImpl(Zone aZone, SplitRandomGenerator generator, int vGen, int aNumTrials, double aProbability)` Use this create message if the generator to be attached is a Split one and both the number of trials and the probability are to be set at create time:

Methods implemented by this class for interface swarm.random.UnsignedDistribution
`getUnsignedSample`

Methods implemented by this class for interface swarm.random.BinomialDistS
`setNumTrials, setNumTrials$setProbability`

Methods implemented by this class for interface swarm.random.BinomialDist
`getNumTrials, getProbability, getUnsignedSample, getUnsignedSampleWithNumTrials$withProbability, getUnsignedSampleWithProbability`

Methods implemented by this class for interface swarm.random.ProbabilityDistribution
`getCurrentCount, getGenerator, getOptionsInitialized, getVirtualGenerator`

Methods implemented by this class for interface swarm.random.ProbabilityDistributionS
`reset, setGenerator, setGenerator$setVirtualGenerator`

Methods implemented by this class for interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods implemented by this class for interface swarm.random.InternalState
`getMagic, getStateSize`

Methods implemented by this class for interface swarm.defobj.Drop
`drop`

Methods implemented by this class for interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods implemented by this class for interface swarm.defobj.GetName
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinomialDistImpl

    public BinomialDistImpl()

### BinomialDistImpl

    public BinomialDistImpl(Zone aZone,
                            SplitRandomGenerator generator,
                            int vGen,
                            int aNumTrials,
                            double aProbability)

  Use this create message if the generator to be attached is a Split one and both the number of trials and the probability are to be set at create time:

### BinomialDistImpl

    public BinomialDistImpl(Zone aZone,
                            SimpleRandomGenerator generator,
                            int aNumTrials,
                            double aProbability)

  Use this create message if the generator to be attached is a Simple one: and both the number of trials and the probability are to be set at create time:

### BinomialDistImpl

    public BinomialDistImpl(Zone aZone)

  The createWithDefaults method creates a distribution object with a default set of seeds and parameters, and its own private generator.

### BinomialDistImpl

    public BinomialDistImpl(Zone aZone,
                            SimpleRandomGenerator simpleGenerator)

  Use this create message if the generator to be attached is a Simple one:

### BinomialDistImpl

    public BinomialDistImpl(Zone aZone,
                            SplitRandomGenerator splitGenerator,
                            int vGen)

  Use this create message if the generator to be attached is a Split one:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD